Bug 948212 - Wrong error message when use kickstart with wrong install url
Wrong error message when use kickstart with wrong install url
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2013-04-04 06:14 EDT by Ľuboš Kardoš
Modified: 2016-07-31 21:26 EDT (History)
8 users (show)

See Also:
Fixed In Version: anaconda-19.17-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-12 19:52:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot wrong-message.png (59.94 KB, image/png)
2013-04-04 06:15 EDT, Ľuboš Kardoš
no flags Details
screenshot no-url.png (40.71 KB, image/png)
2013-04-04 06:16 EDT, Ľuboš Kardoš
no flags Details
screenshot right-message.png (62.33 KB, image/png)
2013-04-04 06:17 EDT, Ľuboš Kardoš
no flags Details
screenshot showed-url.png (45.41 KB, image/png)
2013-04-04 06:18 EDT, Ľuboš Kardoš
no flags Details

  None (edit)
Description Ľuboš Kardoš 2013-04-04 06:14:20 EDT
Description of problem:
During kickstart installation when wrong install url is in kickstart, anaconda stops and shows red error message "Closest mirror" but it should show message "Error setting up software source".  

Version-Release number of selected component (if applicable):
F19-Alpha-TC3
anaconda-19.14

How reproducible:
always

Steps to Reproduce:
1. Start kickstart installation, use kickstart with following line:
url --url=http://www.wrong-example.com/19/x86_64/os
  
Actual results:
Anaconda stops and shows red error message "Closest mirror" under label "INSTALLATION SOURCE", have a look at screenshot "wrong-message.png". When you click on "INSTALLATION SOURCE", there isn't URL from kickstart there so you can't modify and correct it. Have a look at screenshot "no-url.png"

Expected results:
Anaconda stops and shows red error message "Error setting up software source" under label "INSTALLATION SOURCE", have a look at screenshot "right-message.png". When you click on "INSTALLATION SOURCE", you can see URL from kickstart and you can modify and correct it. Have a look at screenshot "showed-url.png"


Additional info:
Comment 1 Ľuboš Kardoš 2013-04-04 06:15:23 EDT
Created attachment 731527 [details]
screenshot wrong-message.png
Comment 2 Ľuboš Kardoš 2013-04-04 06:16:39 EDT
Created attachment 731529 [details]
screenshot no-url.png
Comment 3 Ľuboš Kardoš 2013-04-04 06:17:28 EDT
Created attachment 731530 [details]
screenshot right-message.png
Comment 4 Ľuboš Kardoš 2013-04-04 06:18:10 EDT
Created attachment 731531 [details]
screenshot showed-url.png
Comment 5 Fedora Update System 2013-04-09 18:57:29 EDT
python-blivet-0.10-1.fc19,anaconda-19.17-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-blivet-0.10-1.fc19,anaconda-19.17-1.fc19
Comment 6 Ľuboš Kardoš 2013-04-10 03:30:27 EDT
Verified on anaconda-19.17-1 (Fedora 19 RC2)
Comment 7 Adam Williamson 2013-05-12 19:52:20 EDT
anaconda 19.25 is stable now, so let's close this.

Note You need to log in before you can comment on or make changes to this bug.